Loading...
Searching...
No Matches
pqxx::string_traits< char[N]> Struct Template Reference

String traits for C-style string constant ("pointer to array of char"). More...

## Static Public Member Functions

static constexpr zview | to_buf (char *, char *, char const (&value)[N]) noexcept
static char * | into_buf (char *begin, char *end, char const (&value)[N])
static constexpr std::size_t | size_buffer (char const (&)[N]) noexcept
static void | from_string (std::string_view)=delete
| Don't allow conversion to this type.

## Static Public Attributes

static constexpr bool | converts_to_string {true}
static constexpr bool | converts_from_string {false}

## Detailed Description

template<std::size_t N>
struct pqxx::string_traits< char[N]>

String traits for C-style string constant ("pointer to array of char").

Warning
  This assumes that every array-of-char is a C-style string literal. So, it must include a trailing zero. and it must have static duration.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx